/*****************************************************************************
 * Open MCT, Copyright (c) 2014-2018, United States Government
 * as represented by the Administrator of the National Aeronautics and Space
 * Administration. All rights reserved.
 *
 * Open MCT is licensed under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 *
 * Open MCT includes source code licensed under additional open source
 * licenses. See the Open Source Licenses file (LICENSES.md) included with
 * this source code distribution or the Licensing information page available
 * at runtime from the About dialog for additional information.
 *****************************************************************************/

define(
    ["../../src/services/Now"],
    function (Now) {

        describe("The 'now' service", function () {
            var now = new Now();

            it("reports system time", function () {
                var a = Date.now(),
                    b = now(),
                    c = Date.now();

                // Clock could, in principle, tick between evaluating the
                // expressions above. We can't predict or prevent this but
                // want the test to be stable, so we only verify that now()
                // returns a value that makes sense given a previous and
                // subsequent measurement from Date.now()
                expect(a <= b).toBeTruthy();
                expect(b <= c).toBeTruthy();
                expect(b).toBeDefined();
            });

        });
    }
);
